summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--graphics/kphotoalbum/README6
-rw-r--r--graphics/kphotoalbum/doinst.sh3
-rw-r--r--graphics/kphotoalbum/kphotoalbum.SlackBuild63
-rw-r--r--graphics/kphotoalbum/kphotoalbum.info8
-rw-r--r--graphics/kphotoalbum/slack-desc19
5 files changed, 99 insertions, 0 deletions
diff --git a/graphics/kphotoalbum/README b/graphics/kphotoalbum/README
new file mode 100644
index 0000000000..c705ce92ad
--- /dev/null
+++ b/graphics/kphotoalbum/README
@@ -0,0 +1,6 @@
+KPhotoAlbum (previously known as KimDaBa) is an photograh viewer and
+organizer. Users can search for images based on tags (also called
+categories). KPhotoAlbum supports KIPI plugins for manipulating images.
+
+KPhotoAlbum uses libkexif, libkipi and kipi plugins, all of which are
+available at SlackBuilds.org.
diff --git a/graphics/kphotoalbum/doinst.sh b/graphics/kphotoalbum/doinst.sh
new file mode 100644
index 0000000000..854e20633d
--- /dev/null
+++ b/graphics/kphotoalbum/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/graphics/kphotoalbum/kphotoalbum.SlackBuild b/graphics/kphotoalbum/kphotoalbum.SlackBuild
new file mode 100644
index 0000000000..b7eb491fc2
--- /dev/null
+++ b/graphics/kphotoalbum/kphotoalbum.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for kphotoalbum
+# By default the demo pictures and movie are not packaged. Change the DEMO variable to include them.
+
+PRGNAM=kphotoalbum
+VERSION=${VERSION:-3.1.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DEMO=no
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION_NEW
+tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog INSTALL TODO README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+if [ "$DEMO"="no" ]; then
+ rm -r /$PKG/usr/share/apps/$PRGNAM/demo
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/kphotoalbum/kphotoalbum.info b/graphics/kphotoalbum/kphotoalbum.info
new file mode 100644
index 0000000000..8d3c925fa2
--- /dev/null
+++ b/graphics/kphotoalbum/kphotoalbum.info
@@ -0,0 +1,8 @@
+PRGNAM="kphotoalbum"
+VERSION="3.1.1"
+HOMEPAGE="http://kphotoalbum.org"
+DOWNLOAD="http://www.kphotoalbum.org/data/download/kphotoalbum-3.1.1.tar.bz2"
+MD5SUM="0ced1a53efa25b70dbb1ca19b1d0afc3"
+MAINTAINER="Ben"
+EMAIL="bosth@alumni.sfu.ca"
+APPROVED="dsomero"
diff --git a/graphics/kphotoalbum/slack-desc b/graphics/kphotoalbum/slack-desc
new file mode 100644
index 0000000000..5a50a8681a
--- /dev/null
+++ b/graphics/kphotoalbum/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kphotoalbum: kphotoalbum (a photo management application)
+kphotoalbum:
+kphotoalbum: Kphotoalbum (previously known as KimDaBa) is an image viewer and
+kphotoalbum: organizer.
+kphotoalbum:
+kphotoalbum:
+kphotoalbum:
+kphotoalbum:
+kphotoalbum:
+kphotoalbum:
+kphotoalbum: